import request from 'src/utils/request'

// 查询生产线列表
export function listProductionLine(query) {
  return request({
    url: '/qrcode/device/productionLine/list',
    method: 'get',
    params: query
  })
}

// 查询生产线详细
export function getProductionLine(id) {
  return request({
    url: '/qrcode/device/productionLine/' + id,
    method: 'get'
  })
}

// 新增生产线
export function addProductionLine(data) {
  return request({
    url: '/qrcode/device/productionLine',
    method: 'post',
    data: data
  })
}

// 修改生产线
export function updateProductionLine(data) {
  return request({
    url: '/qrcode/device/productionLine',
    method: 'put',
    data: data
  })
}

// 删除生产线
export function delProductionLine(id) {
  return request({
    url: '/qrcode/device/productionLine/' + id,
    method: 'delete'
  })

}

export function treeselect() {
    return request({
      url: '/qrcode/device/productionLine/treeselect',
      method: 'get'
    })
  }

